﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script type="text/javascript">
    function AddRoute(s, e) {
        popupnew.SetHeaderText('Delivery Purchase Requisition Add ');
        popupnew.Show();
    }

    function OnHyperLinkClick(s, e) {
        popupnew.SetHeaderText('Delivery Purchase Requisition Edit ');
        popupnew.Show();
    }
    

</script>

<div style="padding-right:0px; padding-bottom:15px; ">

    <div style="width:500px; border:1px solid #142B94; background-color:#DEECFD;padding-bottom:8px; padding-top:8px; padding-left:8px; padding-right:8px" >
           @Html.Partial("MasterIndexHeader")
    </div>
    

    <div style="height:15px;">
    </div>
            
		  
        @Html.Partial("MasterGridIndex", Model )

        @Html.DevExpress().PopupControl(settings =>
        {
            settings.Name = "popupnew";
            settings.Width = System.Web.UI.WebControls.Unit.Percentage(20);
            settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
            settings.Modal = true;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
            //settings.DragElement = DragElement.Window;
            //settings.ShowHeader = false;
            settings.SetContent(() =>
            {
                Html.RenderPartial("MasterPopUp");
            });
        }).GetHtml()


</div>
